## libkf5mailcommon 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,12 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "5.18.1")
 
 project(mailcommon VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${mailcommon_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
-if (POLICY CMP0053)
-    cmake_policy(SET CMP0053 NEW)
-endif()
-set(LIBRARY_NAMELINK)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -22,29 +18,30 @@
 
 include(ECMSetupVersion)
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
 
-set(QT_REQUIRED_VERSION "5.13.0")
+set(QT_REQUIRED_VERSION "5.15.0")
 
 set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
-set(AKONADIMIME_LIB_VERSION "5.15.3")
-set(AKONADICONTACT_LIB_VERSION "5.15.3")
-set(MESSAGELIB_LIB_VERSION "5.15.3")
-set(KMIME_LIB_VERSION "5.15.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
-set(MAILIMPORTER_LIB_VERSION "5.15.3")
-set(LIBKDEPIM_LIB_VERSION "5.15.3")
-set(PIMCOMMON_LIB_VERSION "5.15.3")
+set(AKONADIMIME_LIB_VERSION "5.18.1")
+set(AKONADICONTACT_LIB_VERSION "5.18.1")
+set(MESSAGELIB_LIB_VERSION "5.18.1")
+set(KMIME_LIB_VERSION "5.18.1")
+set(KMAILTRANSPORT_LIB_VERSION "5.18.1")
+set(MAILIMPORTER_LIB_VERSION "5.18.1")
+set(LIBKDEPIM_LIB_VERSION "5.18.1")
+set(PIMCOMMON_LIB_VERSION "5.18.1")
+set(GRANTLEETHEME_LIB_VERSION "5.18.1")
 
 set(PHONON_LIB_VERSION "4.10.60")
-set(AKONADI_VERSION "5.15.3")
+set(AKONADI_VERSION "5.18.1")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)
 
 find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -58,6 +55,7 @@
 find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
@@ -65,6 +63,7 @@
 find_package(KF5MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
@@ -72,6 +71,7 @@
 find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(Phonon4Qt5 ${PHONON_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
 option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
@@ -87,13 +87,19 @@
 
 ########### Targets ###########
 remove_definitions( -DQT_NO_CAST_FROM_ASCII )
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+endif()
+
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
-set(CMAKE_CXX_STANDARD 14)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########### CMake Config Files ###########
@@ -123,5 +129,6 @@
 if(BUILD_TESTING)
     add_subdirectory(autotests)
 endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
